> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1scimserviceproviderconfig



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.User.Scim//swagger/v1/swagger.json get /api/v1/scim/ServiceProviderConfig
openapi: 3.0.0
info:
  title: NDS.Services.User.Scim
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.User.Scim/
security: []
paths:
  /api/v1/scim/ServiceProviderConfig:
    get:
      tags:
        - Discovery
      operationId: Discovery_GetServiceProviderConfig
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceProviderConfig'
components:
  schemas:
    ServiceProviderConfig:
      allOf:
        - $ref: '#/components/schemas/Resource'
        - type: object
          additionalProperties: false
          required:
            - patch
            - bulk
            - filter
            - changePassword
            - sort
            - etag
            - authenticationSchemes
          properties:
            documentationUri:
              type: string
              nullable: true
            id:
              type: string
              nullable: true
            patch:
              $ref: '#/components/schemas/Operation'
            bulk:
              $ref: '#/components/schemas/Operation'
            filter:
              $ref: '#/components/schemas/Operation'
            changePassword:
              $ref: '#/components/schemas/Operation'
            sort:
              $ref: '#/components/schemas/Operation'
            etag:
              $ref: '#/components/schemas/Operation'
            authenticationSchemes:
              type: array
              items:
                $ref: '#/components/schemas/AuthenticationScheme'
    Resource:
      type: object
      additionalProperties: false
      required:
        - schemas
      properties:
        schemas:
          type: array
          items:
            type: string
        id:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        applicationExternalId:
          type: string
          nullable: true
        meta:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Meta'
        status:
          type: string
          nullable: true
    Operation:
      type: object
      additionalProperties: false
      required:
        - supported
      properties:
        supported:
          type: boolean
    AuthenticationScheme:
      type: object
      additionalProperties: false
      required:
        - type
        - name
        - description
        - documentationUri
      properties:
        type:
          type: string
        name:
          type: string
        description:
          type: string
        specUri:
          type: string
          nullable: true
        documentationUri:
          type: string
        primary:
          type: boolean
    Meta:
      type: object
      additionalProperties: false
      properties:
        resourceType:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
        location:
          type: string
          nullable: true
        version:
          type: string
          nullable: true

````